summaryrefslogtreecommitdiffstats
path: root/source/a/xfsprogs/xfsprogs.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/xfsprogs/xfsprogs.SlackBuild')
-rwxr-xr-xsource/a/xfsprogs/xfsprogs.SlackBuild114
1 files changed, 114 insertions, 0 deletions
diff --git a/source/a/xfsprogs/xfsprogs.SlackBuild b/source/a/xfsprogs/xfsprogs.SlackBuild
new file mode 100755
index 000000000..7ef1c07c6
--- /dev/null
+++ b/source/a/xfsprogs/xfsprogs.SlackBuild
@@ -0,0 +1,114 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=3.0.1
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-xfsprogs
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf xfsprogs-$VERSION
+tar xvf $CWD/xfsprogs-$VERSION.tar.?z* || exit 1
+cd xfsprogs-$VERSION
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Make sure you have the same version of autoconf as the
+# developers did... ;-)
+autoconf
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/lib${LIBDIRSUFFIX} \
+ --sbindir=/sbin \
+ --bindir=/usr/sbin \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/xfsprogs-$VERSION \
+ --enable-shared=yes \
+ --enable-gettext=yes \
+ --build=$ARCH-slackware-linux
+
+make $NUMJOBS || make || exit 1
+make install DIST_ROOT=$PKG
+make install-dev DIST_ROOT=$PKG
+
+mv $PKG/usr/share/doc $PKG/usr
+mv $PKG/usr/doc/xfsprogs $PKG/usr/doc/xfsprogs-$VERSION
+#It would be nice to keep the same timestamps that the files have in the source:
+cp -a README doc/COPYING doc/CREDITS doc/PORTING \
+ $PKG/usr/doc/xfsprogs-$VERSION
+
+# Remove bogus files:
+rm -f $PKG/lib${LIBDIRSUFFIX}/*.a $PKG/lib${LIBDIRSUFFIX}/*.so \
+ $PKG/lib${LIBDIRSUFFIX}/*.la $PKG/usr/lib${LIBDIRSUFFIX}/*.la
+# Make /usr/lib/libhandle.so a symlink to /lib/libhandle.so.1:
+if [ -f $PKG/lib${LIBDIRSUFFIX}/libhandle.so.1 ]; then
+ ( cd $PKG/usr/lib${LIBDIRSUFFIX}
+ rm -f libhandle.so
+ ln -sf /lib${LIBDIRSUFFIX}/libhandle.so.1 libhandle.so
+ )
+else
+ exit 1
+ # and fix your script! ;-)
+fi
+# Fix shared library perms:
+chmod 755 $PKG/lib${LIBDIRSUFFIX}/*
+
+# Strip libraries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+strip -g $PKG/usr/lib${LIBDIRSUFFIX}/*.a
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/xfsprogs-$VERSION-$ARCH-$BUILD.txz
+